
module pyramida(x1=50, y1=70, x2=30, y2=40, h=30, ox=0, oy=0)
{
    polyhedron(
        points = [
                    [0, 0, 0], [x1, 0, 0], [x1, y1, 0], [0, y1, 0],
                    [(x1-x2)/2+ox, (y1-y2)/2+oy, h], [x1-(x1-x2)/2+ox, (y1-y2)/2+oy, h], [x1-(x1-x2)/2+ox, y1-(y1-y2)/2+oy, h], [(x1-x2)/2+ox, y1-(y1-y2)/2+oy, h]
                ],
        faces = [ [0, 1, 2, 3],  [7, 6, 5, 4], 
                  [0, 4, 5, 1],  [1, 5, 6, 2],
                  [2, 6, 7, 3],  [3, 7, 4, 0],
                ],
        convexity = 10
    );
}


difference() {
rotate ([90,0,0]) difference () {
    pyramida(x1=19, x2=5, y1=10, y2=4, h=28, ox=-7, oy=-3);
    translate([2,1,-1]) 
    pyramida(x1=15, x2=3, y1=7, y2=1, h=30, ox=-7, oy=-3);
}
translate([0,-28,0]) cylinder(r=4,h=10, center=true, $fn=72);
}


translate ([8,0,0]) rotate ([90,0,0]) pyramida(x1=1, x2=1, y1=9, y2=5, h=17, ox=-3.8, oy=-1.7);

difference () {
    union () {
        cube   ([19,15,10]);
        rotate ([-3,0,0]) translate ([0,0,0.8]) difference () {
            union () {
                cube   ([19,15,23]);
                translate ([1,1.5,0]) cube   ([17,12,27]);
            }
            translate ([2,2.5,1]) cube   ([15,10,27]);
        }
    }
    union () {
        translate ([2,-1, 1]) cube   ([15, 10, 7]);
        translate ([2, 2.5, 1]) cube   ([15, 10, 10]);
    }
}

